c2345678911234567892123456789312345678941234567895123456789612345678971234567898
      subroutine hkread(unit,param,answer,flag)
      implicit none
      character param*(*),answer*(*),line*80
      integer plen,alen,unit,length,i,flag

      write (line,'(80x)')
      flag=-1
      plen=length(param)
      alen=len(answer)
      rewind(unit)

10    read (unit,'(a)',end=20) line
      if (line(8:8+plen-1).eq.param(1:plen)) then
        flag=0
        answer(1:alen)=line(33:33+alen-1)
        i=length(answer)
        answer(i:i)=' '
        goto 20
      endif
      goto 10
20    continue
      return
      end
